<?php

/**
 * Alfa FAQ Block Template.
 *
 * @param   array $block The block settings and attributes.
 * @param   string $content The block inner HTML (empty).
 * @param   bool $is_preview True during AJAX preview.
 * @param   (int|string) $post_id The post ID this block is saved to.
 */

$contents = get_field('alfa__contents-tags');
$header = asl()->translate('Table of Contents:'); 


$result = '<div id="alfa__contents">        
				<input id="collapsible" class="toggle" type="checkbox">
				<label for="collapsible" class="lbl-toggle">'. $header .'</label>
            <div class="alfa__contents-submenu">';
    
foreach( $contents as $item ):

    if ( $item['alfa__contents-tags-bool'] ):

		$dash = (is_numeric($item['alfa__contents-tags-link'][0]) ? '_' : '' );

        $result .= '<a href="#'. $dash.$item['alfa__contents-tags-link'] .'">'. $item['alfa__contents-tags-text'] .'</a>';

    endif;

endforeach;

$result .= '</div></div>';

echo $result;