jQuery( document ).ready( function( $ ) {
    
    if ( typeof acf !== 'undefined' ) {
        console.log( 'ACF is defined!', acf )
    }
	
	var postID = acf.get('post_id')

    console.log( 'postID', postID ) 

    function alfaProcess(data){

        console.log( 'headers', data.headers )
        console.log( 'fixed', data.fixed )

            let rows = $('.acf-field-63c015bd8edd1 tbody tr:not(.acf-clone)')
            let rows_length = rows.length

            console.log( 'rows', rows.length )

            let addRow = $('.acf-field-63c015bd8edd1').find('.acf-button')

            if ( !data.fixed ){

                console.log('Not fixed')

                $(rows).each(function( index ) {
                    $(this).remove()
                });
        
                if ( data.headers.length > 0 && document.querySelector('.acf-field-63c015bd8edd1') ) {
        
                    for ( let i = 0; i < data.headers.length; i++ ){
    
                        let key = Object.keys(data.headers[i])[0]
                            
                        addRow.click();
                                    
                        let row = document.querySelector(`.acf-field-63c015bd8edd1 tbody tr:nth-child(${i + 1})`)
                        let text__input = row.querySelector('td:nth-child(2) input')
                        let link__input = row.querySelector('td:nth-child(3) input')
                        
                        text__input.value = data.headers[i][key]
                        link__input.value = Object.keys( data.headers[i] )[0]
    
                        console.log('key', data.headers[i][key])
                                
                    }
        
                }

            } else {

                console.log('Fixed, return')

            }
    }


    setTimeout( function(){

        fetch(`https://${window.location.host}/wp-json/alfa/v1/get-content/${postID}`)
            .then(response => response.json())
            .then(json => alfaProcess(json))

    }, 4000 )

})