<?php

/**
 * Alfa Testimonial Block Template.
 *
 * @param   array $block The block settings and attributes.
 * @param   string $content The block inner HTML (empty).
 * @param   bool $is_preview True during AJAX preview.
 * @param   (int|string) $post_id The post ID this block is saved to.
 */

 $testimonial = get_field('alfa__testimonials');

 $output .= '<div class="testimonials-block d-none">';
		
 foreach( $testimonial as $item ) {
     $output .= '<div class="testimonial-block"><div class="title">' .$item["testimonials__sign"]. '</div> <div class="stars">';
         
     if ($item["testimonials__star"]) :
     
     for($i = 0; $i < round($item["testimonials__star"]); $i++) {
         $output .= '<svg xmlns="http://www.w3.org/2000/svg" width="20px" height="20px" viewBox="0 0 24 24" data-name="star filled" fill="#fcfc20">
        <g stroke-width="0"/>
        <g stroke-linecap="round" stroke-linejoin="round"/>
        <g> <rect data-name="Rectangle 4" width="24" height="24" fill="none"/> <path d="M10,15,4.122,18.09l1.123-6.545L.489,6.91l6.572-.955L10,0l2.939,5.955,6.572.955-4.755,4.635,1.123,6.545Z" transform="translate(2 3)" stroke="#fcfc20" stroke-miterlimit="10" stroke-width="1.5"/> </g>
        </svg>';
     }
     endif;
     
     $output .= '</div><p>' .$item["testimonials__text"]. '</p>';
     
     if($item["testimonials__answer"] != '')

         $output .= '<div class="title"><svg fill="#ffff20" width="20px" height="20px" viewBox="0 0 24 24" xmlns="http://www.w3.org/2000/svg" >
        <g stroke-width="0"/>
        <g stroke-linecap="round" stroke-linejoin="round"/>
        <g> <path fill-rule="evenodd" d="M18.5857864,10 L14.2928932,5.70710678 L15.7071068,4.29289322 L22.4142136,11 L15.7071068,17.7071068 L14.2928932,16.2928932 L18.5857864,12 L13,12 C6.25355783,12 4,14.3437001 4,21 L2,21 C2,13.2562999 5.13105756,10 13,10 L18.5857864,10 Z"/> </g>
        </svg> Admin </div> <div class="answer"><p>' .$item["testimonials__answer"]. '</p></div>';
     
     $output .= '</div>';
     
 }
    
$output .= '</div>';

echo $output;