<?php

/**
 * Alfa FAQ Block Template.
 *
 * @param   array $block The block settings and attributes.
 * @param   string $content The block inner HTML (empty).
 * @param   bool $is_preview True during AJAX preview.
 * @param   (int|string) $post_id The post ID this block is saved to.
 */

    $faq = get_field('alfa__faq');
    $list = preg_split('/\r\n?/', $faq);

    $output .= '<div id="alfa__faq" class="alfa__faq">';

    $i = 0;

    foreach( $list as $item ): 

        ($i) ? $parent_class = '' : $parent_class = 'minus';
        ($i) ? $answer_class = '' : $answer_class = 'active';
            
        if( strlen($item) > 5 ):
            
            $elem = explode(':', $item);
            $question = $elem[0];
            $answer = $elem[1];
    
            $output .= '
                <div class="faq__item '. $parent_class .'">
                    <h3>'. $question .'</h3>
                    <div class="faq__answer '. $answer_class .'">
                        <p>'. $answer .'</p>
                    </div>
                </div>';
                
            endif; 
    
        $i++;
    
    endforeach; 
    
$output .= '</div>';
    
echo $output;
    
  


